import { CommonService } from '../../service/common.service';
import { EChartOption } from 'echarts';
import { ChartOptionService } from '../../service/chart-option.service';
import { ECharts } from 'echarts';
import { CompareChartComponent } from './compare-chart.component';
export declare class CompareChartService {
    private commonService;
    private chartOptionService;
    constructor(commonService: CommonService, chartOptionService: ChartOptionService);
    getChartxAxis(): EChartOption.XAxis[];
    getChartyAxis(num: number): EChartOption.YAxis[];
    setXaxisName(xAxisOption: EChartOption.XAxis[], name: string): void;
    setYaxisName(yAxisOption: EChartOption.YAxis[], name: string): void;
    setYnameGap(yAxisOption: EChartOption.YAxis[], yNameGap: number): void;
    topLegendChange(legendData: any[], echartInstance: ECharts): void;
    setSmallModeGrid(gridOption: EChartOption.Grid): void;
    setSmallModePadding(component: any): void;
    setLegendPosition(gridOption: EChartOption.Grid, legendOption: any, legendPosition: any): void;
    setInterval(echartOption: any, interval: Number): void;
    buildSeries(chartData: any, seriesList: EChartOption.Series[], xAxisOption: EChartOption.XAxis[], yAxisOption: EChartOption.YAxis[], lineSeriesOption: EChartOption.Series, customSeriesOption: EChartOption.Series): void;
    changeChartTitleDark(component: CompareChartComponent, darkMode: boolean): void;
    xAxisDarkMode(xAxisOption: EChartOption.XAxis[]): void;
    yAxisDarkMode(yAxisOption: EChartOption.YAxis[]): void;
    colorsDarkMode(colors: string[]): void;
    chartBackgroundColorDarkMode(chartOption: any): void;
    legendDarkMode(legendOption: any): void;
    seriesDarkMode(lineSeriesOption: EChartOption.Series, customSeriesOption: EChartOption.Series): void;
    getMaxAndMin(rectData: any): number[];
    setTooltipUnit(tooltipOption: EChartOption.Tooltip, unit: string, years: string[]): void;
    setXaxisLabelRotate(xAxisOption: EChartOption.XAxis[], rotate: any): void;
    setYAxisMin(yAxisOption: EChartOption.YAxis[], yAxisMin: number): void;
    setYAxisMax(yAxisOption: EChartOption.YAxis[], yAxisMax: number): void;
    setYAxisInterval(yAxisOption: EChartOption.YAxis[], yAxisInterval: number): void;
    setYAxisSplitLine(yAxisOption: EChartOption.YAxis[], splitLineShow: boolean): void;
}
